incubator-couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Anderson <jch...@apache.org>
Subject Re: Problem with crypto while installing CouchDB
Date Tue, 28 Sep 2010 00:32:25 GMT
On Mon, Sep 27, 2010 at 1:47 AM, Gleb Pitsevich <pitsevich@gmail.com> wrote:
> Hello!
> I'm stuck into problems, trying to upgrade couch.
> I've had CouchDB v0.10 succesfully running on my Ubuntu 9.04 in the
> virtualbox, until I decided to update ubuntu and couchdb.
>
> I installed ubuntu 10.04 and decided to completely unnistall couch and then
> install it again, so I did
>
> sudo apt-get purge couchdb
>
> and then repeated installing 1.0.1 from source like its said in
> CouchDB - Definitive Guide (replacing libmozjs-dev with
> xulrunner-dev).
>
> I got the "Apache CouchDB has started, time to relax." ok message, but
> I can't connect to 127.0.0.1:5984.
>
> As far as I understand the problem is with erlang-crypto package,
> because when I type couchdb in the console, I get the following
> output:
>
> Unable to load crypto_drv. Failed with error:
> "Driver compiled with incorrect version of erl_driver.h"
> OpenSSL might not be installed on this system.
>
>
> I tried to remove and then install againg erlang-crypto, that didn't
> help. openssl and libssl-dev are installed.
>
> Googling this error also doesn't help. I'm would appreciate any help
> to cope with this problem!
>

I don't know much from experience in your environment, but you might
have luck with the build-couchdb project:

http://github.com/jhs/build-couchdb

> Thanks!
>



-- 
Chris Anderson
http://jchrisa.net
http://couch.io

Mime
View raw message